com.ihr.xbrl.om.xdt

## Class XDTCombinationItemImplicit

- java.lang.Object
- - com.ihr.xbrl.om.xdt.XDTCombinationItemHead
  - - com.ihr.xbrl.om.xdt.XDTCombinationItemImplicit

-     public class XDTCombinationItemImplicit
      extends XDTCombinationItemHead

  This is the concrete class that represents a member of a combination of members in a Cartesian product. This class represents an implicit member. The member is an "XMLElementDefinition".
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTCombinationItemImplicit(XDTDimensionUse dim, XMLElementDefinition element)` Creates a implicit dimension member.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `XMLElementDefinition` | `getElement()` Gets the element.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.ihr.xbrl.om.xdt.XDTCombinationItemHead

      `getDimensionName, getDimensionUse`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XDTCombinationItemImplicit

          public XDTCombinationItemImplicit(XDTDimensionUse dim,
                                    XMLElementDefinition element)

      Creates a implicit dimension member.
      Parameters:
        `dim` - XDTDimensionUse the dimension
        `element` - XMLElementDefinition of the typed dimension

  - ### Method Detail

    - #### getElement

          public XMLElementDefinition getElement()

      Gets the element.
      Returns:
        the element

    - #### equals

          public boolean equals(java.lang.Object other)

      Specified by:
        `equals` in class `XDTCombinationItemHead`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `XDTCombinationItemHead`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`